Bug 1957107 - PDF Mod program exits on opening
Summary: PDF Mod program exits on opening
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfmod
Version: 38
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ismael Olea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-05 07:32 UTC by Tony Gordon
Modified: 2023-08-16 10:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1983603 0 None None None 2022-08-24 21:53:31 UTC

Description Tony Gordon 2021-05-05 07:32:56 UTC
Description of problem: Program opens but when a file is opened it closes down


Version-Release number of selected component (if applicable): 0.9.1


How reproducible: always with some PDFs. Some older PDFs appear to open okay.


Steps to Reproduce:
1. Open pdfmod
2. Open a PDF file
3.

Actual results: program closes (see messages below)


Expected results: program opens file and allows modification of it


Additional info:
$ pdfmod
[1 Debug 19:23:38.493] Starting PdfMod 0.9.1
[1 Debug 19:23:38.515] Initializing i18n catalog from /usr/share/locale/
Gtk-Message: 19:23:38.540: Failed to load module "pk-gtk-module"
[1 Debug 19:23:38.568] Cache directory set to /home/[username]/.cache/pdfmod
[1 Debug 19:23:52.256] Loaded [path to file]/[filename].pdf
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.NullReferenceException: Object reference not set to an instance of an object
  at Gtk.Entry.TextInsertedSignalCallback (System.IntPtr arg0, System.IntPtr arg1, System.Int32 arg2, System.Int32& arg3, System.IntPtr gch) [0x00082] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at GLib.ExceptionManager.RaiseUnhandledException (System.Exception e, System.Boolean is_terminal) [0x00000] in <ed39f21b9e9343dcbd442a17ad356a9f>:0 
  at Gtk.Entry.TextInsertedSignalCallback (System.IntPtr arg0, System.IntPtr arg1, System.Int32 arg2, System.Int32& arg3, System.IntPtr gch) [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at Gtk.Entry.gtk_entry_set_text (System.IntPtr , System.IntPtr ) [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at Gtk.Entry.set_Text (System.String value) [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at PdfMod.Gui.MetadataEditorBox+TextProperty.SetDefault (System.String default_value) [0x00000] in <30ea164068ed461eb0e121032d64f5c5>:0 
  at PdfMod.Gui.MetadataEditorBox.HandleDocumentLoaded (System.Object o, System.EventArgs e) [0x00000] in <30ea164068ed461eb0e121032d64f5c5>:0 
  at PdfMod.Core.Client.OnDocumentLoaded () [0x00000] in <30ea164068ed461eb0e121032d64f5c5>:0 
  at PdfMod.Gui.Client+<LoadPath>c__AnonStorey0.<>m__1 () [0x00000] in <30ea164068ed461eb0e121032d64f5c5>:0 
  at Hyena.ThreadAssist+<BlockingProxyToMain>c__AnonStorey1.<>m__0 () [0x00000] in <bea5f8dc246647e19ee46c3c4d128568>:0 
  at PdfMod.Gui.Client+<RunIdle>c__AnonStorey4.<>m__0 () [0x00000] in <30ea164068ed461eb0e121032d64f5c5>:0 
  at GLib.Idle+IdleProxy.Invoke (System.IntPtr data) [0x00000] in <ed39f21b9e9343dcbd442a17ad356a9f>:0 
  at GLib.SourceProxy.HandlerInternal (System.IntPtr data) [0x00000] in <ed39f21b9e9343dcbd442a17ad356a9f>:0 
  at Gtk.Application.gtk_main () [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at Gtk.Application.Run () [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at PdfMod.Gui.Client..ctor (System.Boolean loadFiles) [0x00000] in <30ea164068ed461eb0e121032d64f5c5>:0 
  at PdfMod.PdfMod.Main (System.String[] args) [0x00000] in <30ea164068ed461eb0e121032d64f5c5>:0

Comment 1 Ben Cotton 2022-05-12 15:31:05 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Tony Gordon 2022-05-15 03:19:04 UTC
Same thing happens in F35.

Comment 3 Steven Ellis 2022-08-24 05:11:04 UTC
I can confirm the issue still occurs on F35 with pdfmod-0.9.1-26.fc35.x86_64



$ pdfmod  Web.pdf 
[1 Debug 17:10:35.299] Starting PdfMod 0.9.1
[1 Debug 17:10:35.307] Initializing i18n catalog from /usr/share/locale/
Gtk-Message: 17:10:35.322: Failed to load module "pk-gtk-module"
[1 Debug 17:10:35.327] Loaded custom AccelMap from /home/sellis/.config/pdfmod/gtk_accel_map
[1 Debug 17:10:35.338] Cache directory set to /home/sellis/.cache/pdfmod
[1 Debug 17:10:35.497] Loaded Web.pdf
[sellis@t480s Downloads]$ pdfmod  Weber-Q-Cleaner-SDS.pdf 
[1 Debug 17:10:42.882] Starting PdfMod 0.9.1
[1 Debug 17:10:42.890] Initializing i18n catalog from /usr/share/locale/
Gtk-Message: 17:10:42.902: Failed to load module "pk-gtk-module"
[1 Debug 17:10:42.907] Loaded custom AccelMap from /home/sellis/.config/pdfmod/gtk_accel_map
[1 Debug 17:10:42.915] Cache directory set to /home/sellis/.cache/pdfmod
[1 Debug 17:10:43.073] Loaded Weber-Q-Cleaner-SDS.pdf
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.NullReferenceException: Object reference not set to an instance of an object
  at Gtk.Entry.TextInsertedSignalCallback (System.IntPtr arg0, System.IntPtr arg1, System.Int32 arg2, System.Int32& arg3, System.IntPtr gch) [0x00082] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at GLib.ExceptionManager.RaiseUnhandledException (System.Exception e, System.Boolean is_terminal) [0x00000] in <ed39f21b9e9343dcbd442a17ad356a9f>:0 
  at Gtk.Entry.TextInsertedSignalCallback (System.IntPtr arg0, System.IntPtr arg1, System.Int32 arg2, System.Int32& arg3, System.IntPtr gch) [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at Gtk.Entry.gtk_entry_set_text (System.IntPtr , System.IntPtr ) [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at Gtk.Entry.set_Text (System.String value) [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at PdfMod.Gui.MetadataEditorBox+TextProperty.SetDefault (System.String default_value) [0x00000] in <a1394a6c813949c2a342a6e7f2176d36>:0 
  at PdfMod.Gui.MetadataEditorBox.HandleDocumentLoaded (System.Object o, System.EventArgs e) [0x00000] in <a1394a6c813949c2a342a6e7f2176d36>:0 
  at PdfMod.Core.Client.OnDocumentLoaded () [0x00000] in <a1394a6c813949c2a342a6e7f2176d36>:0 
  at PdfMod.Gui.Client+<LoadPath>c__AnonStorey0.<>m__1 () [0x00000] in <a1394a6c813949c2a342a6e7f2176d36>:0 
  at Hyena.ThreadAssist+<BlockingProxyToMain>c__AnonStorey1.<>m__0 () [0x00000] in <bea5f8dc246647e19ee46c3c4d128568>:0 
  at PdfMod.Gui.Client+<RunIdle>c__AnonStorey4.<>m__0 () [0x00000] in <a1394a6c813949c2a342a6e7f2176d36>:0 
  at GLib.Idle+IdleProxy.Invoke (System.IntPtr data) [0x00000] in <ed39f21b9e9343dcbd442a17ad356a9f>:0 
  at GLib.SourceProxy.HandlerInternal (System.IntPtr data) [0x00000] in <ed39f21b9e9343dcbd442a17ad356a9f>:0 
  at Gtk.Application.gtk_main () [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at Gtk.Application.Run () [0x00000] in <7aab76e87bce48a4b45cf7fa613cb70c>:0 
  at PdfMod.Gui.Client..ctor (System.Boolean loadFiles) [0x00000] in <a1394a6c813949c2a342a6e7f2176d36>:0 
  at PdfMod.PdfMod.Main (System.String[] args) [0x00000] in <a1394a6c813949c2a342a6e7f2176d36>:0

Comment 4 Steven Ellis 2022-08-24 21:53:09 UTC
If you want to reproduce the issue it occurs with
 - https://images.thdstatic.com/catalog/pdfImages/72/723384dc-a413-437f-b29a-bb018ed10866.pdf

Comment 5 Steven Ellis 2022-08-24 21:53:51 UTC
Arch Linux also has an open issue
 - https://bugs.archlinux.org/task/70143

Comment 6 Ben Cotton 2022-11-29 16:56:37 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 7 Tony Gordon 2022-11-30 07:26:41 UTC
The same issue occurs on F37 with pdfmod-0.9.1-28.fc37.x86_64.

Comment 8 Kai Hambrecht 2023-08-16 10:38:20 UTC
Still happens on F38 with pdfmod-0.9.1-29.fc38.x86_64


Note You need to log in before you can comment on or make changes to this bug.